View Issue Details

IDProjectCategoryView StatusLast Update
0000174BirdFont[All Projects] BirdFontpublic2019-12-01 20:40
ReporterL-KAssigned Tojohan 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindows 10OS Version64bits
Product Version 
Target VersionFixed in Version 
Summary0000174: 3 problems (kerning windows preview, some letters in kerning tab, and no € symbol)
DescriptionHi

I have 3 issues:

- some letters can't be added by keyboard in kerning tab (for example @ (alt+@)
- I Kerned my font, but it doesn't appear in Windows preview. The font looks messy
- I don't find where to do an euro symbol €

Can we create a custom letter not included in the unicode list?
If it's possible, how can I do it?

Thanks
TagsNo tags attached.

Activities

johan

2019-11-14 17:28

administrator   ~0000709

Last edited: 2019-11-14 17:49

View 3 revisions

Thank you for the report.

- I can't get my head around the Alt+@ issue. Which key and which keyboard layout uses that key?
- I don't think the Windows font preview has support for kerning but I might be wrong.
- You can find the euro character if you search for euro in the overview (Ctrl+F).

You can add new Unicode points but you should, most of the time, add you characters to the private use are. Search for "private".

Cheers.

L-K

2019-11-16 21:36

reporter   ~0000710

Thanks for your reply, I found the euro symbol

I'm using a french keyboard (azerty), so, the symbol @ is made by (alt + @)

johan

2019-11-17 18:50

administrator   ~0000711

Hi, can you generate a log file from a session where you press Alt+@ several times? You can enable logging in the settings tab. Please send the generated file to me.

L-K

2019-11-19 19:51

reporter   ~0000712

I find "write log to" in settings, but I don't understand where I have to press Alt+@ and how to generate the file

johan

2019-11-19 20:02

administrator   ~0000713

Last edited: 2019-11-20 23:57

View 2 revisions

Hi. The file will be written to the AppData/Local/birdfont folder if you have enabled logging (the folder might be hidden depending on your OS settings). Try typing @ in the kerning tab for example.

L-K

2019-11-19 21:37

reporter   ~0000714

What is the name of the file?

johan

2019-11-19 21:48

administrator   ~0000715

Last edited: 2019-11-19 21:48

View 2 revisions

Something like this: birdfont_2019-09-26T22_31_38+0200.log but with a different time stamp. You can find it in
C:\Windows\Users\[your username]\AppData\Local\birdfont

L-K

2019-11-19 22:10

reporter   ~0000716

This is the file
I forgot to say it's "AltGr", not just "Alt" (+@)

birdfont_2019-11-19T22_07_43+0100.log (7,789 bytes)

johan

2019-11-20 23:58

administrator   ~0000717

Thank you. I think I have solved this issue. A fix will be available in the next release. Copy and paste might be a way to work around the problem until next version is released.

johan

2019-12-01 20:40

administrator   ~0000718

Hi. I believe this problem has been fixed. Please reopen this bug if this still is a problem.
Cheers

Issue History

Date Modified Username Field Change
2019-11-14 11:26 L-K New Issue
2019-11-14 17:28 johan Note Added: 0000709
2019-11-14 17:49 johan Note Edited: 0000709 View Revisions
2019-11-14 17:49 johan Note Edited: 0000709 View Revisions
2019-11-16 21:36 L-K Note Added: 0000710
2019-11-17 18:50 johan Note Added: 0000711
2019-11-19 19:51 L-K Note Added: 0000712
2019-11-19 20:02 johan Note Added: 0000713
2019-11-19 21:37 L-K Note Added: 0000714
2019-11-19 21:48 johan Note Added: 0000715
2019-11-19 21:48 johan Note Edited: 0000715 View Revisions
2019-11-19 22:10 L-K File Added: birdfont_2019-11-19T22_07_43+0100.log
2019-11-19 22:10 L-K Note Added: 0000716
2019-11-20 23:57 johan Note Edited: 0000713 View Revisions
2019-11-20 23:58 johan Note Added: 0000717
2019-12-01 20:40 johan Assigned To => johan
2019-12-01 20:40 johan Status new => resolved
2019-12-01 20:40 johan Resolution open => fixed
2019-12-01 20:40 johan Note Added: 0000718